import { world } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('md:interactive_1', {
        onPlayerInteract(e) {
            const { block, player } = e;
            const currentState = block.permutation.getState('md:channel');

            if (currentState < 4) {
                block.setPermutation(block.permutation.withState('md:channel', currentState + 1))
            }
            if (currentState === 4) {
                block.setPermutation(block.permutation.withState('md:channel', currentState - 4))
            }

            block.dimension.playSound("random.click", block.location);
        }
    });
});